## wxwidgets2.6 2.6.1.1.1ubuntu2

=== locale/Makefile ===
# this is the makefile for generating wxstd.po message catalog file and
# building lang.mo files from the translated lang.po catalogs

# this makefile may be invoked to build either wxstd.po or any lang.mo

# Autodetect the languages we support.  Currently this relies on make
# being called with this dir as the cwd, but if we generate this file
# with configure an explicit path should be specified -- RL.

WX_LINGUAS := `ls *.po 2> /dev/null | sed -n 's/\(wxstd\)\?\.po//p'`

# the programs we use (TODO: use configure to detect them)
MSGFMT=msgfmt --verbose
MSGMERGE=msgmerge
XGETTEXT=xgettext
XARGS=xargs

# common xgettext args: C++ syntax, use the specified macro names as markers
XGETTEXT_ARGS=-C -k_ -kwxPLURAL:1,2 -kwxTRANSLATE -s -j

# implicit rules
%.mo: %.po
	$(MSGFMT) -c -o $@ $<

# a PO file must be updated from wxstd.po to include new translations
%.po: wxstd.po
	if [ -f $@ ]; then $(MSGMERGE) $@ wxstd.po > $@.new && mv $@.new $@; else cp wxstd.po $@; fi

wxstd.po:
	touch $@
	find ../include -name "*.h" | $(XARGS) $(XGETTEXT) $(XGETTEXT_ARGS) -o wxstd.po
	find ../src -name "*.cpp" | $(XARGS) $(XGETTEXT) $(XGETTEXT_ARGS) -o wxstd.po
	find ../contrib/include -name "*.h" | $(XARGS) $(XGETTEXT) $(XGETTEXT_ARGS) -o wxstd.po
	find ../contrib/src -name "*.cpp" | $(XARGS) $(XGETTEXT) $(XGETTEXT_ARGS) -o wxstd.po

allpo: force-update
	@-for t in $(WX_LINGUAS); do $(MAKE) $$t.po; done

allmo:
	@for t in $(WX_LINGUAS); do $(MAKE) $$t.mo; done

force-update:
	$(RM) wxstd.po

# print out the percentage of the translated strings
stats: FORCE
	@for i in $(WX_LINGUAS); do \
		x=`$(MSGFMT) -o /dev/null "$$i.po" 2>&1 | sed -e 's/[,\.]//g' \
			-e 's/\([0-9]\+\) translated messages\?/TR=\1/' \
			-e 's/\([0-9]\+\) fuzzy translations\?/FZ=\1/' \
			-e 's/\([0-9]\+\) untranslated messages\?/UT=\1/'`; \
		TR=0 FZ=0 UT=0; \
		eval $$x; \
		TOTAL=`expr $$TR + $$FZ + $$UT`; \
		echo "$$i.po `expr 100 "*" $$TR / $$TOTAL`% of $$TOTAL strings"; \
	done

FORCE:

.PHONY: allpo allmo force-update percentage FORCE

# $Id: Makefile,v 1.12 2005/06/01 21:16:29 VZ Exp $

=== debian/changelog ===
wxwidgets2.6 (2.6.1.1.1ubuntu2) breezy; urgency=low

  * Added a patch from wxwidgets cvs to allow compilation against gtk 2.8

 -- Sebastian Dröge <mail@slomosnail.de>  Tue, 23 Aug 2005 18:18:01 +0200

wxwidgets2.6 (2.6.1.1.1ubuntu1) breezy; urgency=low

  * Synchronize with Debian, Ubuntu patches are integrated.
  * python-wxgtk2.6: Add Provides: python-wx, python-wxgtk.
  * Note: python packages should depend on: python-wxgtk | python-wxgtk2.6.
  * Update {build-,}depends for xorg -> mesa transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Aug 2005 11:08:22 +0000

wxwidgets2.6 (2.6.1.1.1) unstable; urgency=low

  * Reshuffle the wxPython packages again, to comply better with
    the python naming policy and improve support for concurrent
    installations.  The runtime files are now in python-wxgtk2.6-0,
    the version selector in python-wxversion and the ancillary
    tools in the python-wxtools package.

    Many thanks to Matthias Klose <doko@ubuntu.com> for patches
    and patient prodding to get wxpython into better shape for
    version transitions.

  * Collapse the wx-common package into an 'unversioned' one also.

  * On its way back into unstable by popular demand.

 -- Ron Lee <ron@debian.org>  Sun, 14 Aug 2005 21:25:34 +0930

wxwidgets2.6 (2.6.1.1ubuntu3) breezy; urgency=low

  * libwxgtk2.6-0-python provides python-wx and python-wx2.6.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  3 Aug 2005 10:28:39 +0000

wxwidgets2.6 (2.6.1.1ubuntu2) breezy; urgency=low

  * New package wxversion.
  * The libwxgtk2.6-0-python package handles wx.pth as an alternative now.
    Packages, which need a specific wxpython version, should:

      import wxversion
      wxversion.select('2.6')
      import wx

    See /usr/lib/python2.4/site-packages/wxversion.py for the details.

  * Handle the binaries in wxpython2.6 as alternatives.
  * The 2.4 and 2.6 packages do not conflict anymore.
  * wxPython/scripts/*: Explicitely use wxPython 2.6.

  * Fix libglu1-xorg-dev (build) dependency.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jul 2005 12:43:00 +0000

wxwidgets2.6 (2.6.1.1ubuntu1) breezy; urgency=low

  * Rebuild control file for python2.4.
  * Update xorg build dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Jul 2005 18:58:05 +0200

wxwidgets2.6 (2.6.1.1) experimental; urgency=low

  * 2.6.2 prerelease test -- Pain for the Impatient.

    Be warned, wx2.6 has still not branched off the main
    development tree, and the API is still in flux.

    This one is to see what else is wrong.

  * Upload to experimental now the -c2 transition is real.

 -- Ron Lee <ron@debian.org>  Thu, 23 Jun 2005 14:08:33 +0930

wxwidgets2.6 (2.6.0) unstable; urgency=low

  * 8 ... 9 ... 10.  Here it comes, ready or not...
  * make install includes archive.h now.  Closes: #294998

 -- Ron Lee <ron@debian.org>  Wed, 13 Apr 2005 01:15:05 +0930

wxwidgets2.5 (2.5.5.1) unstable; urgency=low

  * Last chance.
  * Conflict with wxwin2.4-i18n.  Due to inertia, it really
    does.  Sorry if you are not a gringo and want both 2.4 and
    2.5 apps localised on the same machine.  Maybe for 2.6.1.
    Bitch upstream if you want it fixed.
  * Don't package the static libs anymore for wxGTK.
    Blame drepper for encouraging their obsolescence  If you dare.
  * Trim the configure options to reflect the new defaults.

 -- Ron Lee <ron@debian.org>  Mon, 11 Apr 2005 22:43:58 +0930

wxwidgets2.5 (2.5.4.0) unstable; urgency=low

  * Experimental snapshot.
  * More bakefile bogosity manually patched.  Closes: #294998
  * Fix stray conflicts with 2.4.  Closes: #287623
  * Fixes lack of version checking in wxPython examples.
    Closes: #287772
  * Fixes FTBFS on ppc.  Closes: #285186
  * Enable gnomeprint, Closes: #284943 satisfactorily I hope.

 -- Ron Lee <ron@debian.org>  Sun, 13 Feb 2005 16:52:38 +1030

wxwidgets2.5 (2.5.3.3) unstable; urgency=low

  * Experimental snapshot.

 -- Ron Lee <ron@debian.org>  Tue,  8 Feb 2005 12:30:45 +1030

wxwidgets2.5 (2.5.3.2) unstable; urgency=low

  * This time, really now.
    A snapshot that is actually ready for wider release.
    Thanks to all who've been patient.  We know who you are.
  * Update path to wxPython site-packages, build them with
    --no_rpath since we will install the in tree build.

 -- Ron Lee <ron@debian.org>  Thu, 11 Nov 2004 11:01:00 +1030

wxwidgets2.5 (2.5.3.1) unstable; urgency=low

  * Functioning concurrent installs for both the C++ libs
    and wxPython along with legacy support for existing 2.4
    users mean we can now safely introduce this release to
    unstable without an adverse effect on existing users.

 -- Ron Lee <ron@debian.org>  Sun, 31 Oct 2004 15:54:46 +1030

wxwidgets2.5 (2.5.3.0) experimental; urgency=low

  * Experimental prerelease.

 -- Ron Lee <ron@debian.org>  Wed, 22 Sep 2004 03:29:56 +0930

wxwidgets2.5 (2.5.2.3) experimental; urgency=low

  * Greatly improved concurrent installs.  We can now install
    a much wider range of builds without conflicting and select
    between them without the need to go changing symlinks or
    the suite of applications you have installed.
  * Contrib is dead.  Long live contrib.
    Better multi-library builds have made contrib more or less
    obsolete.  This is the big crunch before the boom.  Everything
    useful out of contrib has been moved back into the main package.
    Later we will split many out again along the lines of shared
    dependencies, so a minimal wx install really can remain minimal
    without losing any future potential.

 -- Ron Lee <ron@debian.org>  Sat, 18 Sep 2004 00:59:01 +0930

wxwidgets2.5 (2.5.1.1) experimental; urgency=low

  * The s/ndow/dget/g release.
  * Yes, the name has changed and the terrorists have won again.
    Having a name too similar to Lindows apparently makes us a
    liability to the illusion their assailants will want to project
    in court.  Eleven or so years of unbroken, unquestioned usage


=== debian/control ===
Source: wxwidgets2.6
Section: libs
Priority: optional
Build-Depends: debhelper (>=4.0), flex, bison, gettext, libgtk2.0-dev, python2.4, python2.4-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev, libgnomeprintui2.2-dev, dpatch
Maintainer: Ron Lee <ron@debian.org>
Standards-Version: 3.6.2.1

Package: libwxgtk2.6-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: libgnomeprintui2.2-0
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the shared libraries needed to run programs linked
 against wxWidgets.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk2.6-dev
Architecture: any
Section: libdevel
Depends: wx2.6-headers (= ${Source-Version}), libwxgtk2.6-0 (= ${Source-Version}), libc6-dev
Suggests: wx2.6-common | wx-common, wx2.6-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides files needed to compile wxWidgets programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.

Package: libwxgtk2.6-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: wx2.6-headers (= ${Source-Version}), libc6-dev
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides a debug version of the wxGTK library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWidgets itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: python-wxgtk2.6
Architecture: any
Section: python
Depends: python-wxversion, python2.4, ${shlibs:Depends}
Suggests: wx2.6-doc, wx2.6-examples, python2.4-xml
Conflicts: libwxgtk2.6-0-python, wxpython2.6-0
Replaces: libwxgtk2.6-0-python, wxpython2.6-0
Provides: python-wx, python-wxgtk
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides a Python binding to the wxGTK library and the
 wxPython runtime support libraries.  If you wish to use xrc you'll also
 need the python2.4-xml package installed.

Package: python-wxgtk2.6-dbg
Architecture: any
Section: python
Depends: python-wxversion, python2.4, ${shlibs:Depends}
Conflicts: python-wxgtk2.6
Replaces: python-wxgtk2.6
Provides: python-wxgtk2.6
Description: wxWindows Cross-platform C++ GUI toolkit (wxPython binding)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.6
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a Python binding to the wxGTK debug library.
 It is useful for developers as many common errors may be caught, but
 you should _never_ upload packages to Debian that depend upon this
 package explicitly, use the python-wxgtk2.6 package instead.
 .
 If you wish to use xrc you'll also need the python2.4-xml package installed.

Package: python-wxversion
Architecture: all
Section: python
Conflicts: wxpython2.6-0
Replaces: wxpython2.6-0
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython version selector)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the wxPython version selector.

Package: python-wxtools
Architecture: all
Section: python
Depends: python-wxgtk2.6, ${shlibs:Depends}
Conflicts: wxpython2.6-0
Replaces: wxpython2.6-0, libwxgtk2.4-python, wxpython2.4-1
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython common files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides support utilities and common files for wxPython2.6.
 If you wish to use xrced you'll also need the python2.4-xml package installed.

Package: wx-common
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
Conflicts: wx2.6-common
Replaces: wxwin2.4-headers, libwxgtk2.4-contrib-dev, wx2.6-common
Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides common support files not bound to any
 particular wxWidgets release, such as font metrics required by some
 ports, and miscellaneous developer aids and binary utilities.

Package: wx2.6-headers
Architecture: any
Section: devel
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the common header files required to build applications
 using the wxWidgets toolkit.

Package: wx2.6-i18n
Architecture: all
Section: libs
Conflicts: wx-i18n, wxwin-i18n, wx2.4-i18n
Replaces: wx-i18n, wxwin-i18n, wx2.4-i18n, wx2.5-i18n
Provides: wx-i18n
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the i18n message catalogs for wxWidgets.

Package: wx2.6-doc
Architecture: all
Section: doc
Provides: wx-doc
Suggests: doc-base, www-browser
Description: wxWidgets Cross-platform C++ GUI toolkit (documentation)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides a HTML version of the wxWidgets reference manual.

Package: wx2.6-examples
Architecture: all
Section: devel
Suggests: libwxgtk2.6-dev (= ${Source-Version}), wx2.6-doc
Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package contains examples of using the wxWidgets toolkit in
 C++ and with the wxPython language binding.

Package: libwxmsw2.6-dev
Architecture: i386
Section: otherosfs
Depends: wx2.6-headers-msw (= ${Source-Version})
Description: wxMSW mingw32msvc-cross
 mingw32msvc-cross wxMSW libs.

Package: libwxmsw2.6-dbg
Architecture: i386
Section: otherosfs
Depends: wx2.6-headers-msw (= ${Source-Version})
Description: wxMSW mingw32msvc-cross (debug)
 mingw32msvc-cross wxMSW libs.
 __WXDEBUG__ version.

Package: wx2.6-headers-msw
Architecture: i386
Section: otherosfs
Depends: wx2.6-headers (= ${Source-Version})
Description: Extra wxWidgets headers for mingw32msvc-cross
 Headers required by the wxWidgets mingw32msvc-cross libraries.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file to build packages from wx CVS source
#
# Sculpted 13/2/2000 by Ron Lee <ron@debian.org> from new and
# variously stolen code :-)
# It makes copious use of the debhelper utilities written by
# Joey Hess and others.

#export DH_VERBOSE=1
export DH_OPTIONS

#include dpatch stuff
include /usr/share/dpatch/dpatch.make

ifdef DISTCC_HOSTS

 #JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$(($$\# + $$\#)))
 # Nearly as fast, but doesn't raise the room temperature
 # or saturate the build machines quite so much.
  JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$\#)
  FAST_MAKE  = $(MAKE) -j $(JOB_COUNT)

else

  FAST_MAKE = $(MAKE)

endif

-include debian/python-version


# This will extract a flavour out of the name of the source directory
# and flavour the packages and binaries with it.  'Official' builds
# should use a source dir of the form wxwidgets$RELEASE-$VERSION.
# Flavoured builds may use wxwidgets$RELEASE-$FLAVOUR-$VERSION, where
# any descriptive alphanumeric name will do for FLAVOUR.  This will
# allow a custom build to be installed alongside the mainline ones
# without conflict.  You will also need to make a corresponding
# changelog entry for your flavour source package using:
# wxwidget$RELEASE-$FLAVOUR ($VERSION) to satify dpkg-source and
# to correctly set the release below.
DEBIAN_WXFLAVOUR := $(shell pwd | sed -e 's@.*/wxwidgets[0-9.]\+-\?\(.*\)-[0-9.]\+-\?.*@\1@')

release   := $(shell dpkg-parsechangelog | sed -n 's/^Source: wxwidgets//p')
soversion := $(shell grep '^WX_CURRENT=' configure.in | sed 's/WX_CURRENT=\([0-9]\+\).*/\1/')
sorelease := $(release:%-$(DEBIAN_WXFLAVOUR)=%)-$(soversion)$(addprefix -,$(DEBIAN_WXFLAVOUR))

# Base value for alternative priorities.
alt_prio  := $(subst .,,$(release))

pydir     := usr/lib/$(python_ver)/site-packages
wxpydir   := $(pydir)/wx-$(release)-gtk2-unicode

cross_host  = i586-mingw32msvc
cross_build = $(shell ./config.guess)

config_cache       = ../config_deb.cache
config_cache_cross = ../config_deb_cross.cache

# Packages to build:
package_gtk_lib         = libwxgtk$(sorelease)
package_gtk_dev         = libwxgtk$(release)-dev
package_gtk_dbg         = libwxgtk$(release)-dbg

package_gtk_py_lib      = python-wxgtk$(release)
package_gtk_py_ver      = python-wxversion
package_gtk_py_tools    = python-wxtools

package_common          = wx-common
package_headers         = wx$(release)-headers
package_i18n            = wx$(release)-i18n
package_doc             = wx$(release)-doc
package_examples        = wx$(release)-examples

package_gtk_dbg_py      = python-wxgtk$(release)-dbg
package_msw_dev         = libwxmsw$(release)-dev
package_msw_dbg         = libwxmsw$(release)-dbg
package_headers_msw     = wx$(release)-headers-msw

# Build directories:
objdir_gtk_shared          = objs_gtk_sh
objdir_gtk_debug           = objs_gtk_d
objdir_gtk_install         = objs_gtk_install
objdir_doc_cruft           = objs_doc_con
objdir_doc                 = docs/wx-manual.html
objdir_examples            = docs/examples
objdir_i18n                = locale

objdir_msw_shared          = objs_msw_sh
objdir_msw_static          = objs_msw_st
objdir_msw_dbg             = objs_msw_d
objdir_msw_install         = objs_msw_install

objdirs = $(objdir_gtk_shared) $(objdir_gtk_debug) $(objdir_gtk_install)  \
	  $(objdir_doc_cruft) $(objdir_doc) $(objdir_examples)            \
	  $(objdir_msw_shared) $(objdir_msw_static) $(objdir_msw_dbg)     \
	  $(objdir_msw_install)

#	note that the i18n package is actually arch indep (once built)
#	but must be built (and installed) during the arch any phase as
#	it's pulled out of the wxGTK shared lib package.
#
#       similarly some of the wxpython packages are arch indep too, but
#       all files for it are installed during the arch any phase.


# Build stamps:
build_arch_stamps = build-gtk-shared-stamp build-gtk-shared-contrib-stamp \
                    build-gtk-debug-stamp build-gtk-debug-contrib-stamp   \
                    build-i18n-stamp build-gtk-py-stamp


build_indep_stamps  = build-examples-stamp build-doc-stamp

build_cross_stamps  = build-msw-shared-stamp build-msw-static-stamp build-msw-dbg-stamp

build_stamps_native = $(build_arch_stamps) $(build_indep_stamps)

build_stamps = $(build_stamps_native) $(build_cross_stamps)


# Install targets:
install_all_arch = install-gtk-lib install-gtk-dev install-gtk-dbg        \
                   install-common install-headers install-i18n            \
                   install-gtk-py

install_all_indep  = install-examples install-doc

install_all_cross  = install-msw-dev install-msw-dbg install-headers-msw

install_all_native = $(install_all_arch) $(install_all_indep)

install_all = $(install_all_native) $(install_all_cross)


wxconfig     := $(shell pwd)/$(objdir_gtk_shared)/wx-config --no_rpath
wxconfig-dbg := $(shell pwd)/$(objdir_gtk_debug)/wx-config --no_rpath

#contrib_libs := $(subst CVS,,$(notdir $(wildcard contrib/include/wx/*)))


# The Rules:

debian/python-version:
	echo python_ver := python$(shell python -c "import sys;print sys.version[:3]") > $@

debian/control: $(addprefix debian/,control.in python-version)
	sed -e 's/=V/$(release)/g;     \
		s/=SOV/$(sorelease)/g; \
		s/=PY/$(python_ver)/g' \
		< debian/control.in > debian/control

control-files-stamp: debian/control
	dh_testdir
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_gtk_dev).$$f";       \
		sed -e 's/=V/$(release)/g;                                   \
			s/=PRIO/$(alt_prio)/g'                               \
			< debian/libwxgtk-dev.$$f                            \
			> debian/$(package_gtk_dev).$$f;                     \
	done;
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_gtk_dbg).$$f";       \
		sed -e 's/=V/$(release)/g;                                   \
			s/=PRIO/$(alt_prio)/g'                               \
			< debian/libwxgtk-dbg.$$f                            \
			> debian/$(package_gtk_dbg).$$f;                     \
	done;
	@for f in docs postinst prerm; do                                    \
		echo "generating control file $(package_gtk_py_lib).$$f";    \
		sed -e 's/=PY/$(python_ver)/g;                               \
			s|=WXPYDIR|$(wxpydir)|g;                             \
			s/=V/$(release)/g;                                   \
			s/=PRIO/$(alt_prio)/g'                               \
			< debian/python-wxgtk.$$f                            \
			> debian/$(package_gtk_py_lib).$$f;                  \
	done;
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_gtk_dbg_py).$$f";    \
		sed -e 's/=PY/$(python_ver)/g;                               \
			s/=V/$(release)/g;                                   \
			s/=PRIO/$(alt_prio)/g'                               \
			< debian/python-wxgtk-dbg.$$f                        \
			> debian/$(package_gtk_dbg_py).$$f;                  \
	done;
	@echo "generating control file $(package_gtk_dbg_py).docs";
	@cp debian/python-wxgtk.docs debian/$(package_gtk_dbg_py).docs;
	@for f in docs doc-base; do                                          \
		echo "generating control file $(package_doc).$$f";           \
		sed -e 's/=V/$(release)/g' < debian/wx-doc.$$f               \
			> debian/$(package_doc).$$f;                         \
	done;
	@for f in examples; do                                               \
		echo "generating control file $(package_examples).$$f";      \
		cp debian/wx-examples.$$f debian/$(package_examples).$$f;    \
	done;
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_msw_dev).$$f";       \
		sed -e 's/=V/$(release)/g;                                   \
			s/=PRIO/$(alt_prio)/g;                               \

## wxwidgets2.6 2.6.1.2ubuntu2

=== debian/changelog ===
wxwidgets2.6 (2.6.1.2ubuntu2) dapper; urgency=low

  * Rebuild to fix zero-size _SDA_BASE_ symbol on powerpc.

 -- Christian Bjälevik <nafallo@ubuntu.com>  Thu, 17 Nov 2005 15:14:47 +0100

wxwidgets2.6 (2.6.1.2ubuntu1) dapper; urgency=low

  * Resynchronise with Debian (Closes: #4049):
    - Added wxpython2.5.3 to python-wxversion Conflicts/Replaces
      (Closes: #3252).

 -- Jordan Mantha <mantha@chem.unr.edu>  Wed,  9 Nov 2005 11:12:29 -0800

wxwidgets2.6 (2.6.1.2) unstable; urgency=low

  * Fix the build_options.py created by the in tree build.
    Closes: #324960  Thanks.
  * Move the wx.pth alternative to its own directory where
    it can't mess with anything else.
  * Pull in changes to dcclient.cpp and window.cpp from HEAD
    mostly for gtk2.8 compatibility, but fixes a couple of
    other issues too.

 -- Ron Lee <ron@debian.org>  Thu, 25 Aug 2005 18:38:31 +0930

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: wxwidgets2.6
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>=4.0), flex, bison, gettext, libgtk2.0-dev, python2.4, python2.4-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev, libgnomeprintui2.2-dev, dpatch
+Build-Depends: debhelper (>=4.0), flex, bison, gettext, libgtk2.0-dev, python2.4, python2.4-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev, libgnomeprintui2.2-dev
 Maintainer: Ron Lee <ron@debian.org>
 Standards-Version: 3.6.2.1
 
@@ -23,7 +23,7 @@
 Architecture: any
 Section: libdevel
 Depends: wx2.6-headers (= ${Source-Version}), libwxgtk2.6-0 (= ${Source-Version}), libc6-dev
-Suggests: wx2.6-common | wx-common, wx2.6-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
+Suggests: wx-common, wx2.6-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -87,8 +87,8 @@
 Package: python-wxversion
 Architecture: all
 Section: python
-Conflicts: wxpython2.6-0
-Replaces: wxpython2.6-0
+Conflicts: wxpython2.6-0, wxpython2.5.3
+Replaces: wxpython2.6-0, wxpython2.5.3
 Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython version selector)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 
 #export DH_VERBOSE=1
 export DH_OPTIONS
-
-#include dpatch stuff
-include /usr/share/dpatch/dpatch.make
 
 ifdef DISTCC_HOSTS
 
@@ -48,8 +45,9 @@
 # Base value for alternative priorities.
 alt_prio  := $(subst .,,$(release))
 
+pytoolkit := gtk2
 pydir     := usr/lib/$(python_ver)/site-packages
-wxpydir   := $(pydir)/wx-$(release)-gtk2-unicode
+wxpydir   := $(pydir)/wx-$(release)-$(pytoolkit)-unicode
 
 cross_host  = i586-mingw32msvc
 cross_build = $(shell ./config.guess)
@@ -133,8 +131,16 @@
 install_all = $(install_all_native) $(install_all_cross)
 
 
+# wxPython uses this to build in-tree
 wxconfig     := $(shell pwd)/$(objdir_gtk_shared)/wx-config --no_rpath
 wxconfig-dbg := $(shell pwd)/$(objdir_gtk_debug)/wx-config --no_rpath
+
+# and this after it is installed.
+py_wxconfig  := wx-config --version=$(release) --toolkit=$(pytoolkit)     \
+			  --unicode --debug=no --static=no
+pyd_wxconfig := wx-config --version=$(release) --toolkit=$(pytoolkit)     \
+			  --unicode --debug --static=no
+
 
 #contrib_libs := $(subst CVS,,$(notdir $(wildcard contrib/include/wx/*)))
 
@@ -194,7 +200,3 @@
 		echo "generating control file $(package_examples).$$f";      \
 		cp debian/wx-examples.$$f debian/$(package_examples).$$f;    \
 	done;
-	@for f in postinst prerm; do                                         \
-		echo "generating control file $(package_msw_dev).$$f";       \
-		sed -e 's/=V/$(release)/g;                                   \
-			s/=PRIO/$(alt_prio)/g;                               \

## wxwidgets2.6 2.6.3.2.1.5

=== debian/changelog ===
wxwidgets2.6 (2.6.3.2.1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Set debian/python-version to 2.4.
  * Replace =PY with python in debian/control (python-xml was transitionned to
    the new policy).

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 15 Aug 2006 23:44:53 +0200

wxwidgets2.6 (2.6.3.2.1.4) unstable; urgency=low

  * Fix 2.6.3.2.1.2, add the build dependency in debian/control.in.
    Closes: #382951

 -- Matthias Klose <doko@debian.org>  Mon, 14 Aug 2006 10:21:16 +0000

wxwidgets2.6 (2.6.3.2.1.3) unstable; urgency=low

  * NMU.
  * Build for python2.4.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Aug 2006 02:01:15 +0200

wxwidgets2.6 (2.6.3.2.1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitely Build-Depend on python-central. Closes: #381110

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun,  6 Aug 2006 13:00:11 +0200

wxwidgets2.6 (2.6.3.2.1.1) unstable; urgency=low

  * NMU (I love this version string for NMU's :-/).
  * Convert to updated Python policy. Closes: #373410.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2006 18:25:37 +0200

wxwidgets2.6 (2.6.3.2.1) unstable; urgency=low

  * Add 'Replaces' for the wxbase packages when upgrading from
    earlier than 2.6.3.2 where they split again.  Closes: #365561

 -- Ron Lee <ron@debian.org>  Mon,  1 May 2006 14:02:26 +0930

wxwidgets2.6 (2.6.3.2) unstable; urgency=low

  * Next try for an upload candidate.
  * Fixes FTBFS on GNU/kFreeBSD. Closes: #327638
  * Update fr.po, thanks to Thomas Huriaux and debian-l10n-french.
    Closes: #328966
  * Split wxbase back into its own package, after all these years
    and just after I drop it, someone finally has a use for it.
    Such is life.  Closes: #333944
  * Fixes FTBFS with new make.  If this ugly quoting is the tradeoff,
    I'm itching to learn of the fabulous benefits...
    Ack NMU for this from Kurt Roeckx to keep the amd64 transition
    rolling while my x86 build machine was painfully dying.  Thanks!
    Closes: #350695, #361443
  * New FSF address in copyright file.
  * Add an index.html link to the doc contents page.  Closes: #328896
  * Fixes declarations for friends, as required by C++, and now gcc4.1.
    Closes: #358219
  * Add an unpack_examples script, loosely based on one submitted
    by Richard Esplin.  Closes: #342761
  * Disable the reserved vtable entries (again, but this time its
    optional) to retain compatibility with the existing release
    in the distro.
  * Update build-deps for xorg7.

 -- Ron Lee <ron@debian.org>  Fri, 14 Apr 2006 16:50:24 +0930

wxwidgets2.6 (2.6.1.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make it build using the new make.  Patch from
    Daniel Schepler <schepler@math.berkeley.edu> (Closes: #350695)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun,  9 Apr 2006 14:04:34 +0200

## wxwidgets2.6 2.6.3.2.1.5ubuntu0.1

=== debian/changelog ===
wxwidgets2.6 (2.6.3.2.1.5ubuntu0.1) edgy-updates; urgency=low

  * No-change upload, propagating to edgy-updates.
  * Tested by: Cimmo, Andrea Vacondio, Cyclone, jmunin, tasadar_f,
    mlind, com4.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Wed, 31 Jan 2007 00:59:12 +0100

wxwidgets2.6 (2.6.3.2.1.5ubuntu0.1~proposed1) edgy-proposed; urgency=low

  * Fix for GTK warnings in wxNotebook::DoRemovePage
    (Closes: LP#59138)

 -- Matti Lindell <mlind@cs.joensuu.fi>  Tue, 19 Dec 2006 16:41:39 +0200
